package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 课程老师薪水表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("course_schedule_teacher_salary")
public class CourseScheduleTeacherSalary extends Model<CourseScheduleTeacherSalary> {

    private static final long serialVersionUID = 1L;

    @TableId("id_")
    private Long id;
    @TableField("course_schedule_id_")
    private Long courseScheduleId;
    /**
     * 老师角色（主教、助教）
     */
    @TableField("teacher_role_")
    private String teacherRole;
    @TableField("user_id_")
    private Integer userId;
    /**
     * 薪水
     */
    @TableField("salary_")
    private BigDecimal salary;
    @TableField("create_time_")
    private Date createTime;
    @TableField("create_update_")
    private Date createUpdate;
    /**
     * 补贴
     */
    @TableField("subsidy_")
    private BigDecimal subsidy;


    public Long getId() {
        return id;
    }

    public CourseScheduleTeacherSalary setId(Long id) {
        this.id = id;
        return this;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public CourseScheduleTeacherSalary setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
        return this;
    }

    public String getTeacherRole() {
        return teacherRole;
    }

    public CourseScheduleTeacherSalary setTeacherRole(String teacherRole) {
        this.teacherRole = teacherRole;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public CourseScheduleTeacherSalary setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public BigDecimal getSalary() {
        return salary;
    }

    public CourseScheduleTeacherSalary setSalary(BigDecimal salary) {
        this.salary = salary;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public CourseScheduleTeacherSalary setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getCreateUpdate() {
        return createUpdate;
    }

    public CourseScheduleTeacherSalary setCreateUpdate(Date createUpdate) {
        this.createUpdate = createUpdate;
        return this;
    }

    public BigDecimal getSubsidy() {
        return subsidy;
    }

    public CourseScheduleTeacherSalary setSubsidy(BigDecimal subsidy) {
        this.subsidy = subsidy;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "CourseScheduleTeacherSalary{" +
        ", id=" + id +
        ", courseScheduleId=" + courseScheduleId +
        ", teacherRole=" + teacherRole +
        ", userId=" + userId +
        ", salary=" + salary +
        ", createTime=" + createTime +
        ", createUpdate=" + createUpdate +
        ", subsidy=" + subsidy +
        "}";
    }
}
